import request from '@/utils/request'

// 查询电实时数据列表
export function listDnbInstant(query) {
  return request({
    url: '/base/dnbInstant/list',
    method: 'get',
    params: query
  })
}

// 查询电实时数据详细
export function getDnbInstant(objId) {
  return request({
    url: '/base/dnbInstant/' + objId,
    method: 'get'
  })
}

// 新增电实时数据
export function addDnbInstant(data) {
  return request({
    url: '/base/dnbInstant',
    method: 'post',
    data: data
  })
}

// 修改电实时数据
export function updateDnbInstant(data) {
  return request({
    url: '/base/dnbInstant',
    method: 'put',
    data: data
  })
}

// 删除电实时数据
export function delDnbInstant(objId) {
  return request({
    url: '/base/dnbInstant/' + objId,
    method: 'delete'
  })
}
